GET api/bagapi/bag/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "5bfac4c5-40ff-4a57-8e9e-96b4be4c9af8",
"cleanroom_type_id": "c782d9d8-f347-49a6-9b3a-a0b098b5b724",
"code": 3,
"date_hu": "2026-09-24T02:29:54.9436526+00:00",
"id": "98867862-b118-40c4-b8b0-6d4ef3be82d1",
"site_id": "48663b40-7313-494f-825c-72b38c36d00c",
"wash_count": 6,
"position": 7,
"pc_id": "11245c8e-ef78-4a36-b69e-3483446b43f2"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>5bfac4c5-40ff-4a57-8e9e-96b4be4c9af8</bag_status_id> <cleanroom_type_id>c782d9d8-f347-49a6-9b3a-a0b098b5b724</cleanroom_type_id> <code>3</code> <date_hu>2026-09-24T02:29:54.9436526+00:00</date_hu> <id>98867862-b118-40c4-b8b0-6d4ef3be82d1</id> <pc_id>11245c8e-ef78-4a36-b69e-3483446b43f2</pc_id> <position>7</position> <site_id>48663b40-7313-494f-825c-72b38c36d00c</site_id> <wash_count>6</wash_count> </bag>